CK_ARRAY_REMOVE(3)

NAME
ck_array_remove - attempt immediate or deferred removal of a pointer from an array

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_array.h>
bool
ck_array_remove(ck_array_t *array, void *pointer);

DESCRIPTION
The ck_array_remove(3) function will attempt to remove the value of pointer into the array pointed to by array. The operation is also free to apply the operation immediately if there is an opportunity for elimination with a pending (uncommitted) put operation. If no elimination was possible, the function may require to allocate more memory.

RETURN VALUES
This function returns true if the remove operation succeeded. It will return false otherwise due to internal allocation failures or because the value did not exist.

SEE ALSO
ck_array_init(3), ck_array_commit(3), ck_array_remove(3), ck_array_put_unique(3), ck_array_deinit(3) ck_array_length(3), ck_array_buffer(3), ck_array_initialized(3), CK_ARRAY_FOREACH(3)

Additional information available at http://concurrencykit.org/